using System.Threading.Tasks;
using Luski.Shared.PublicServers.V1.Enums;
using Luski.Shared.PublicServers.V1.Shared;

namespace Luski.net.Structures.Public;

public class RoleOverride
{
    public long ParentRoleID { get; init; }

    public ServerPermission GoodPermissions { get; set; }

    public ServerPermission BadPermissions { get; set; }
    
    public required PublicServer Server { get; init; }

    public async Task<Role> GetRole()
    {
        return await Server.GetRole(ParentRoleID);
    }
}